from django.utils import timezone
from telebot import TeleBot
from djconfig import config

from config.celery import app


@app.task()
def execute_feed(feed_pk):
    config._reload_maybe()
    from feeds.models import Feed

    try:
        feed = Feed.objects.get(pk=feed_pk)

        if not feed.lock:
            feed.lock = True
            feed.save()

        bot = TeleBot(config.feed_bot_token)
        feed.last_id = feed.config.execute(bot, feed.chat_id, feed.last_id)
        feed.last_check = timezone.now()
        feed.save()
    finally:
        feed.lock = False
        feed.save()
